package com.its.web.mapper.itcs;

import com.its.web.dto.admin.HmpgUseYnDto;
import com.its.web.dto.statistics.DaeroMngmDto;
import com.its.web.dto.statistics.IxrMngmDto;
import com.its.web.dto.statistics.TrafficStatisticsDto;
import com.its.web.dto.traffic.IntersectionCameraCountDto;
import com.its.web.dto.traffic.IntersectionCameraDto;
import com.its.web.dto.traffic.IntersectionDto;
import com.its.web.dto.traffic.IntersectionDvsnDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface IntersectionMapper {
    List<IntersectionDto> findAllIntersection();

    List<IntersectionCameraDto> findAllIntersectionDetail();

    List<IntersectionCameraDto> findAllIntersectionCamera();

    List<DaeroMngmDto> findIntersectionAtrdName();

    List<TrafficStatisticsDto> findStatisticsTrafficAmountByMonth(Map<String, Object> paramMap);

    List<TrafficStatisticsDto> findStatisticsTrafficAmountByDay(Map<String, Object> paramMap);

    int updateCctvHmpgUseYn(HmpgUseYnDto param);

    List<IxrMngmDto> findIxrName();

    IntersectionCameraCountDto getIxrCameraCount(Map<String, Object> paramMap);

    List<IntersectionCameraDto> findEditCameraList(Map<String, Object> paramMap);

    List<IntersectionDvsnDto> getIxrComboList();

    int updateTotalCctvHmpgUseYn(Map<String, Object> paramMap);
}
